### org.jfree.layouting.input.style

# Class CSSStyleRule

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleRule`
  - - `org.jfree.layouting.input.style.CSSDeclarationRule`
    - - `org.jfree.layouting.input.style.CSSStyleRule`

Implemented Interfaces:
  Cloneable, Serializable

`public class CSSStyleRule`
`extends CSSDeclarationRule`

Creation-Date: 23.11.2005, 10:59:26

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSStyleRule(StyleSheet parentStyle, StyleRule parentRule)`

  ## Method Summary

  `CSSSelector`

  `getSelector()`

  `void`

  `merge(CSSStyleRule elementRule)`

  `void`

  `setSelector(CSSSelector selector)`

  ### Methods inherited from class org.jfree.layouting.input.style.CSSDeclarationRule

  `clear`, `clone`, `getImportantValues`, `getPropertyCSSValue`, `getPropertyKeysAsArray`, `getStyleValues`, `isEmpty`, `isImportant`, `removeProperty`, `setImportant`, `setPropertyValue`, `setPropertyValue`, `setPropertyValueAsString`, `setPropertyValueAsString`

  ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

  `clone`, `getParentRule`, `getParentStyle`, `getStyleKeyRegistry`, `isReadOnly`, `makeReadOnly`, `setParentRule`, `setParentStyle`

## Constructor Details

### CSSStyleRule

    public CSSStyleRule(StyleSheet parentStyle,
                        StyleRule parentRule)

## Method Details

### getSelector

    public CSSSelector getSelector()

### merge

    public void merge(CSSStyleRule elementRule)

### setSelector

    public void setSelector(CSSSelector selector)